V2 Victims
Search Global Victim Properties with JSON Body
Same behavior as GET, with JSON body parameters.
POST
https://oathnet.org/api
/
service
/
v2
/
victims
/
properties
/
search
Search Global Victim Properties with JSON Body
curl --request POST \
--url https://oathnet.org/api/service/v2/victims/properties/search \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"q": "example.com",
"service": "discord",
"confidence": [
"high"
],
"exclude_cookie_evidence": true,
"page_size": 25
}
'import requests
url = "https://oathnet.org/api/service/v2/victims/properties/search"
payload = {
"q": "example.com",
"service": "discord",
"confidence": ["high"],
"exclude_cookie_evidence": True,
"page_size": 25
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
q: 'example.com',
service: 'discord',
confidence: ['high'],
exclude_cookie_evidence: true,
page_size: 25
})
};
fetch('https://oathnet.org/api/service/v2/victims/properties/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"items": [
{
"log_id": "<string>",
"property_id": "<string>",
"property_type": "<string>",
"service": "<string>",
"identity_kind": "<string>",
"account_id": "<string>",
"username": "<string>",
"display_name": "<string>",
"value": "<string>",
"domain": "<string>",
"active": true,
"source_type": "<string>",
"source_path": "<string>",
"source_file_id": "<string>",
"confidence": 123,
"confidence_label": "<string>",
"confidence_score": 123,
"indexed_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"count": 123,
"total": 123,
"took_ms": 123,
"has_more": true,
"total_pages": 123,
"max_score": 123,
"filter_id": "0123456789abcdef01234567"
},
"next_cursor": "<string>",
"policy_redacted": true,
"upgrade_required": true,
"redaction_marker": "<string>"
},
"_meta": {
"user": {
"plan": "Pro",
"plan_type": "pro",
"is_plan_active": true
},
"lookups": {
"used_today": 5,
"left_today": 995,
"daily_limit": 1000,
"is_unlimited": false
},
"service": {
"name": "Service Name",
"id": "service-id",
"category": "general",
"is_premium": false,
"is_available": true,
"session_quota": 10
},
"performance": {
"duration_ms": 111.47,
"timestamp": "2026-01-06T00:44:08.191547"
}
}
}Authorizations
API key for authentication (lowercase header name)
Body
application/json
⌘I
Search Global Victim Properties with JSON Body
